from typing import Any,Generic,TypeVar

T = TypeVar('T')

class ArrayList(Generic[T]):
    def __init__(self, size: int=10) -> None:
        self.elements = []

    def add(self, a: Any,b: Any=None) -> None:
        if b is None:
            self.elements.append(a)
        else:
            self.elements.insert(a,b)

    def addAt(self, index:int, item: T) -> None:
        self.elements.insert(index,item)

    def remove(self, a: Any) -> T:
        if isinstance(a,int):
            return self.elements.pop(a)
        else:
            self.elements.remove(a)
            return a

    def removeAt(self, index:int) -> T:
        return self.elements.pop(index)

    def size(self) -> int:
        return len(self.elements)

    def get(self, index:int) -> T:
        return self.elements[index]

    def set(self, index:int, item: T) -> None:
        self.elements[index] = item;

    def contains(self, item: T) -> bool:
        return item in self.elements

    def clear(self) -> None:
        self.elements.clear()

    def toList(self) -> []:
        return self.elements
