# NOTE: this class has been translated from Java.
# Do not modify this file, changes will be overwritten.

#package orbitgt.mapping3d.sdk.viewer;

#
# Class Constants holds some predefined values for use in the SDK.
#
# All options with a 'LOGIN_' prefix
#
class Constants:
    # The version of the SDK */
    SDK_VERSION: str = "20.5.0"
    # The build date of the SDK */
    SDK_DATE: str = "2020.05.08"

    # The EPSG code of the well-known WGS84 coordinate reference system. */
    CRS_WGS84: str = "4326"

    #
    # Startup option: Force use of the shadow dom (enabled by default if the browser supports it)
    #
    STARTUP_USE_SHADOW_DOM: str = "useShadowDom"
    #
    # Startup option: Set the EPSG code of the CRS to be used when returning geometry data (default is `Constants.CRS_WGS84`)
    #
    STARTUP_CRS: str = "crs"
    #
    # Startup option: The initial state of the application at startup. <br/>
    # The value for this startup option should be a serialized state string, previously provided by the `Viewer3DM.onAppStateChanged` signal.
    #
    STARTUP_APP_STATE: str = "appState"
    #
    # Startup option: Controls whether signal dispatches are throttled during animations.<br/>
    # This option limits the maximum frequency of dispatches of the onFieldOfViewsChanged signal to one per 100ms.
    # The value for this startup option should be a boolean instance (default is `false`).
    #
    STARTUP_THROTTLE_ANIMATION_SIGNALS: str = "throttleAnimationSignals"
    #
    # Startup option: Automatically login using a set of login credentials.<br/>
    # Setting this startup option disables the login panel and only allows the user to retry the autologin credentials.<br/>
    # The value for this startup option should be an AMap instance containing the various LOGIN_xxx settings.
    #
    STARTUP_AUTO_LOGIN: str = "autoLogin"
    #
    # Startup option: Preset a set of login credentials.<br/>
    # Presets the login panel fields with the credentials provided.<br/>
    # The value for this startup option should be an AMap instance containing the various LOGIN_xxx settings.
    #
    STARTUP_PRESET_LOGIN: str = "presetLogin"
    #
    # Startup option: Override the focus position on all views, when opening a workspace.<br/>
    # The value for this startup option should be a `Coordinate` instance.<br/>
    # Every view will bring this position into view (opening the closest or best photo as needed).
    #
    STARTUP_FOCUS_POSITION: str = "startupFocusPosition"
    #
    # Startup option:  Startup pan angle for Spherical and 3D Views.<br/>
    # This overrides the workspace configuration or pan angle derived from `STARTUP_FOCUS_POSITION`.<br/>
    # The value for this startup option should be : <br/>
    # - A Number : This pan/heading angle will be applied on all 3D and Spherical Views.<br/>
    # - The string value `driving direction` : This will be applied on all Spherical Views and reset the heading to driving direction.
    #
    STARTUP_PAN: str = "startupPan"
    #
    # Startup option:  Startup tilt angle for Spherical and 3D Views.<br/>
    # The value for this startup option should be an number.
    #
    STARTUP_TILT: str = "startupTilt"
    #
    # Startup option:  Startup horizontal field-of-view for Spherical Views.<br/>
    # The value for this startup option should be an number.
    #
    STARTUP_FOV: str = "startupFov"
    #
    # Startup option:  Startup pan angle (heading) for Slice Views.<br/>
    # The value for this startup option should be an number.
    #
    STARTUP_SLICE_PAN: str = "startupSlicePan"
    #
    # Startup option:  Startup tilt angle for Slice Views.<br/>
    # The value for this startup option should be an number.
    #
    STARTUP_SLICE_TILT: str = "startupSliceTilt"
    #
    # Startup option:  Startup roll angle for Slice Views.<br/>
    # The value for this startup option should be an number.
    #
    STARTUP_SLICE_ROLL: str = "startupSliceRoll"
    #
    # Startup option:  Startup pixelsize for Slice Views (expressed in meter/pixel).<br/>
    # The value for this startup option should be an number.
    #
    STARTUP_SLICE_PIXELSIZE: str = "startupSlicePixelsize"
    #
    # Startup option:  Startup slice thickness for Slice Views (expressed in cm).<br/>
    # The value for this startup option should be an number.
    #
    STARTUP_SLICE_THICKNESS: str = "startupSliceThickness"

    #
    # A value of the `Constants.LOGIN_MODE` login option. <br/>
    # Use this value to specify a login to the 3D Mapping Publisher.
    #
    LOGINMODE_PUBLISHER: str = "publisher"
    #
    # A value of the `Constants.LOGIN_MODE` login option. <br/>
    # Use this value to specify a guest login to the 3D Mapping Cloud.
    #
    LOGINMODE_GUEST_CLOUD: str = "guest_cloud"
    #
    # A value of the `Constants.LOGIN_MODE` login option. <br/>
    # Use this value to specify a guest login to the 3DM Publisher.
    # This login mode requires 2 extra options: `LOGIN_HOST` and `LOGIN_PUBLICATION_NAME`.
    #
    LOGINMODE_GUEST_PUBLISHER: str = "guest_publisher"
    #
    # Login option: The login mode to use.<br/>
    # Values for this option are provided as constants with a 'LOGINMODE' prefix : `Constants.LOGINMODE_PUBLISHER`, `Constants.LOGINMODE_GUEST_CLOUD`, ...
    #
    LOGIN_MODE: str = "mode"
    #
    # Login option: The login host URL.<br/>
    # Use in combination with login mode `Constants.LOGINMODE_PUBLISHER` to specify the host to connect to.
    #
    LOGIN_HOST: str = "host"
    #
    # Login option: The login username.<br/>
    # Use in combination with login mode `Constants.LOGINMODE_PUBLISHER` to specify the username to use.
    #
    LOGIN_USERNAME: str = "username"
    #
    # Login option: The login password.<br/>
    # Use in combination with login mode `Constants.LOGINMODE_PUBLISHER` to specify the password to use.
    #
    LOGIN_PASSWORD: str = "password"
    #
    # Login option: The login publication name.  <br/>
    # Use in combination with login mode `Constants.LOGINMODE_PUBLISHER` to specity the name of the publication to open.
    #
    LOGIN_PUBLICATION_NAME: str = "publicationName"
    #
    # Login option: The login publisher api version.  <br/>
    # Use number '2' as a value to force a login to the flash publisher.<br/>
    # Use number '3' as a value to force a login to the html5 publisher.<br/>
    # Lease unspecified to try html5 first with a fallback on flash.
    #
    LOGIN_PUBLISHER_API_VERSION: str = "publisherApiVersion"
    #
    # Login option: The publication public identifier.<br/>
    # Use in combination with login mode `Constants.LOGINMODE_CLOUD_GUEST` to specify the publication to open.
    #
    LOGIN_PUBLICATION_PUBLIC_ID: str = "publicationPublicId"
    #
    # Login option: The bookmark public identifier.<br/>
    # Use in combination with login mode `Constants.LOGINMODE_CLOUD_GUEST` to specify the bookmark to open.
    #
    LOGIN_BOOKMARK_PUBLIC_ID: str = "bookmarkPublicId"

    # The 2D render mode */
    RENDER_MODE_2D: str = "2d"
    # The 3D render mode */
    RENDER_MODE_3D: str = "3d"
    # The spherical photo render mode */
    RENDER_MODE_PHOTO_SPHERICAL: str = "photo_spherical"
    # The planar/nadir photo render mode */
    RENDER_MODE_PHOTO_PLANAR: str = "photo_uav"
    # The oblique photo render mode */
    RENDER_MODE_PHOTO_OBLIQUE: str = "photo_oblique"
    # The oblique photo render mode */
    RENDER_MODE_SLICE: str = "photo_slice"

    # The add-view error when the maximum number of view is already open */
    ADD_VIEW_ERROR_TOO_MANY_VIEWS: str = "too_many_views"
    # The add-view error when the requested render mode was not available */
    ADD_VIEW_ERROR_RENDER_MODE_NOT_AVAILABLE: str = "render_mode_not_available"
    # The add-view error when a photo could not be found */
    ADD_VIEW_ERROR_PHOTO_NOT_FOUND: str = "photo_not_found"
